Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005324 [JEDI VCL] 00 JVCL Components minor always 2010-09-06 12:51 2012-02-29 16:55
Reporter dreel View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005324: Wrong hint text on TAdtField in JvDbGrid when ShowCellHint = True
Description Using TAdtField i created composite field occupied two lines.
Example, expanded ADT field showing it's child field:
+------------+
| Source | \
|-----+------+ __\ HEADER
|Slo..| Port | /
+-----+------+ /
 MAINB| 1 \ DATA
 SUBBO| 2 /
 SUB 4| 2
Hints:
------
Name | MustBe | Real
----------+-----------+---------
Source | Source | Source
Slot | Slot | MAINBOARD
MAINB | MAINBOARD | SUBBOARD 3
SUBBO | SUBBOARD 3| SUB4

The hint handler thinks the height of row doesn't change.

Additional Information
Tags adt, Delphi 7.0, Hint, JVCL, JvDbGrid, ShowCellHint, XP
Attached Files png file icon sub3_but_hint_from_next_row_Mainboard.png [^] (3,018 bytes) 2010-09-06 12:51
zip file icon Jvcl_issue0005324.zip [^] (12,505 bytes) 2010-10-26 09:11

- Relationships

-  Notes
(0017653)
dreel (reporter)
2010-09-06 14:43

Sorry, Example formatting lost. A behavior showed on the attached picture.
(0017829)
obones (administrator)
2010-10-08 16:30

Please provide the zipped sources of a sample application showing this
(0017956)
dreel (reporter)
2010-10-26 09:12

Please take an example source http://issuetracker.delphi-jedi.org/file_download.php?file_id=0002017&type=bug [^]
(0018197)
AHUser (developer)
2010-11-28 00:53

Fixed in svn revision 12920.

- Issue History
Date Modified Username Field Change
2010-09-06 12:51 dreel New Issue
2010-09-06 12:51 dreel File Added: sub3_but_hint_from_next_row_Mainboard.png
2010-09-06 12:53 dreel Tag Attached: Delphi 7.0
2010-09-06 12:53 dreel Tag Attached: JVCL
2010-09-06 12:53 dreel Tag Attached: XP
2010-09-06 12:53 dreel Tag Attached: JvDbGrid
2010-09-06 12:53 dreel Issue Monitored: dreel
2010-09-06 14:43 dreel Note Added: 0017653
2010-10-08 16:30 obones Note Added: 0017829
2010-10-08 16:30 obones Status new => feedback
2010-10-26 09:10 dreel Tag Attached: adt
2010-10-26 09:10 dreel Tag Attached: Hint
2010-10-26 09:10 dreel Tag Attached: ShowCellHint
2010-10-26 09:11 dreel File Added: Jvcl_issue0005324.zip
2010-10-26 09:12 dreel Note Added: 0017956
2010-11-28 00:53 AHUser Note Added: 0018197
2010-11-28 00:53 AHUser Status feedback => resolved
2010-11-28 00:53 AHUser Fixed in Version => Daily / SVN
2010-11-28 00:53 AHUser Resolution open => fixed
2010-11-28 00:53 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker